aboutsummaryrefslogtreecommitdiff
path: root/libexec/rc/rc.d/dhclient
diff options
context:
space:
mode:
Diffstat (limited to 'libexec/rc/rc.d/dhclient')
-rwxr-xr-xlibexec/rc/rc.d/dhclient7
1 files changed, 7 insertions, 0 deletions
diff --git a/libexec/rc/rc.d/dhclient b/libexec/rc/rc.d/dhclient
index e2f204076eb6..1cd770031d71 100755
--- a/libexec/rc/rc.d/dhclient
+++ b/libexec/rc/rc.d/dhclient
@@ -48,6 +48,10 @@ dhclient_prestart()
rc_flags="${rc_flags} -b"
fi
+ dhclient_arpwait=$(get_if_var $ifn dhclient_arpwait_IF $dhclient_arpwait)
+ if ! checkyesno dhclient_arpwait; then
+ rc_flags="${rc_flags} -n"
+ fi
# /var/run/dhclient is not guaranteed to exist,
# e.g. if /var/run is a tmpfs
@@ -59,6 +63,9 @@ dhclient_prestart()
load_rc_config $name
load_rc_config network
+# dhclient_prestart is not compatible with svcj
+dhclient_svcj="NO"
+
if [ -z $ifn ] ; then
# only complain if a command was specified but no interface
if [ -n "$1" ] ; then